Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::FilteredTermEnum Class Referenceabstract

Abstract class for enumerating a subset of all terms. More...

`#include <FilteredTermEnum.h>`

Inheritance diagram for Lucene::FilteredTermEnum:

## Public Member Functions

virtual | ~FilteredTermEnum ()
virtual String | getClassName ()
boost::shared_ptr< FilteredTermEnum > | shared_from_this ()
virtual double | difference ()=0
| Equality measure on the term.
virtual int32_t | docFreq ()
| Returns the docFreq of the current Term in the enumeration. Returns -1 if no Term matches or all terms have been enumerated.
virtual bool | next ()
| Increments the enumeration to the next element. True if one exists.
virtual TermPtr | term ()
| Returns the current Term in the enumeration. Returns null if no Term matches or all terms have been enumerated.
virtual void | close ()
| Closes the enumeration to further activity, freeing resources.
Public Member Functions inherited from Lucene::TermEnum
virtual | ~TermEnum ()
boost::shared_ptr< TermEnum > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermEnum
static String | _getClassName ()

## Protected Member Functions

virtual bool | termCompare (const TermPtr &term)=0
| Equality compare on the term.
virtual bool | endEnum ()=0
| Indicates the end of the enumeration has been reached.
virtual void | setEnum (const TermEnumPtr &actualEnum)
| Use this method to set the actual TermEnum (eg. in ctor), it will be automatically positioned on the first matching term.
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

TermPtr | currentTerm
| The current term.
TermEnumPtr | actualEnum
| The delegate enum - to set this member use `setEnum`.
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Abstract class for enumerating a subset of all terms.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

## Constructor & Destructor Documentation

## ◆ ~FilteredTermEnum()

virtual Lucene::FilteredTermEnum::~FilteredTermEnum | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::FilteredTermEnum::_getClassName | ( |  | ) |

inline static

## ◆ close()

virtual void Lucene::FilteredTermEnum::close | ( |  | ) |

virtual

Closes the enumeration to further activity, freeing resources.

Implements Lucene::TermEnum.

Reimplemented in Lucene::FuzzyTermEnum.

## ◆ difference()

virtual double Lucene::FilteredTermEnum::difference | ( |  | ) |

pure virtual

Equality measure on the term.

Implemented in Lucene::FuzzyTermEnum, Lucene::PrefixTermEnum, Lucene::SingleTermEnum, Lucene::TermRangeTermEnum, and Lucene::WildcardTermEnum.

## ◆ docFreq()

virtual int32_t Lucene::FilteredTermEnum::docFreq | ( |  | ) |

virtual

Returns the docFreq of the current Term in the enumeration. Returns -1 if no Term matches or all terms have been enumerated.

Implements Lucene::TermEnum.

## ◆ endEnum()

virtual bool Lucene::FilteredTermEnum::endEnum | ( |  | ) |

protected pure virtual

Indicates the end of the enumeration has been reached.

Implemented in Lucene::FuzzyTermEnum, Lucene::PrefixTermEnum, Lucene::SingleTermEnum, Lucene::TermRangeTermEnum, and Lucene::WildcardTermEnum.

## ◆ getClassName()

virtual String Lucene::FilteredTermEnum::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermEnum.

Reimplemented in Lucene::FuzzyTermEnum, Lucene::PrefixTermEnum, Lucene::SingleTermEnum, Lucene::TermRangeTermEnum, and Lucene::WildcardTermEnum.

## ◆ next()

virtual bool Lucene::FilteredTermEnum::next | ( |  | ) |

virtual

Increments the enumeration to the next element. True if one exists.

Implements Lucene::TermEnum.

## ◆ setEnum()

virtual void Lucene::FilteredTermEnum::setEnum | ( | const TermEnumPtr & | actualEnum | ) |

protected virtual

Use this method to set the actual TermEnum (eg. in ctor), it will be automatically positioned on the first matching term.

References actualEnum.

## ◆ shared_from_this()

boost::shared_ptr< FilteredTermEnum > Lucene::FilteredTermEnum::shared_from_this | ( |  | ) |

inline

## ◆ term()

virtual TermPtr Lucene::FilteredTermEnum::term | ( |  | ) |

virtual

Returns the current Term in the enumeration. Returns null if no Term matches or all terms have been enumerated.

Implements Lucene::TermEnum.

Referenced by Lucene::FuzzyTermEnum::ConstructTermEnum(), Lucene::FuzzyTermEnum::FuzzyTermEnum(), Lucene::FuzzyTermEnum::FuzzyTermEnum(), Lucene::FuzzyTermEnum::FuzzyTermEnum(), termCompare(), Lucene::FuzzyTermEnum::termCompare(), Lucene::PrefixTermEnum::termCompare(), Lucene::SingleTermEnum::termCompare(), Lucene::TermRangeTermEnum::termCompare(), Lucene::WildcardTermEnum::termCompare(), and Lucene::WildcardTermEnum::WildcardTermEnum().

## ◆ termCompare()

virtual bool Lucene::FilteredTermEnum::termCompare | ( | const TermPtr & | term | ) |

protected pure virtual

Equality compare on the term.

Implemented in Lucene::FuzzyTermEnum, Lucene::PrefixTermEnum, Lucene::SingleTermEnum, Lucene::TermRangeTermEnum, and Lucene::WildcardTermEnum.

References term().

## Field Documentation

## ◆ actualEnum

TermEnumPtr Lucene::FilteredTermEnum::actualEnum

protected

The delegate enum - to set this member use `setEnum`.

Referenced by setEnum().

## ◆ currentTerm

TermPtr Lucene::FilteredTermEnum::currentTerm

protected

The current term.

The documentation for this class was generated from the following file:

- FilteredTermEnum.h

clucene.sourceforge.net